package handlers

import (
	"encoding/json"
	"net/http"
)

type ErrorResponse struct {
	Code    int    `json:"code"`
	Message string `json:"message"`
	Error   string `json:"error"`
}

func sendErrorResponse(w http.ResponseWriter, code int, message string, err string) {
	response := ErrorResponse{
		Code:    code,
		Message: message,
		Error:   err,
	}

	w.WriteHeader(response.Code)
	json.NewEncoder(w).Encode(response)
}
