package repository

import (
	domain "truck-company/internal/domain"
)

type RepositoryInterface interface {
	GetAllRoutes() ([]domain.Route, error)
	GetTransportByRoute(routeID int64) ([]domain.Transport, error)
	GetShipmentCosts() ([]domain.Shipment, error)
	GetCargoCost(cargoID int64) (float64, error)
}
